SSTableIntervalTree (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.lifecycle

## Class SSTableIntervalTree

- java.lang.Object
- - org.apache.cassandra.utils.IntervalTree<PartitionPosition,SSTableReader,Interval<PartitionPosition,SSTableReader>>
  - - org.apache.cassandra.db.lifecycle.SSTableIntervalTree

- All Implemented Interfaces:
    java.lang.Iterable<Interval<PartitionPosition,SSTableReader>>

      public class SSTableIntervalTree
      extends IntervalTree<PartitionPosition,SSTableReader,Interval<PartitionPosition,SSTableReader>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.IntervalTree

      `IntervalTree.Serializer<C extends java.lang.Comparable<? super C>,D,I extends Interval<C,D>>`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableIntervalTree` | `build(java.lang.Iterable<SSTableReader> sstables)`
    `static java.util.List<Interval<PartitionPosition,SSTableReader>>` | `buildIntervals(java.lang.Iterable<SSTableReader> sstables)`
    `static SSTableIntervalTree` | `empty()`

    - ### Methods inherited from class org.apache.cassandra.utils.IntervalTree

      `build, emptyTree, equals, hashCode, intervalCount, isEmpty, iterator, max, min, search, search, serializer, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static SSTableIntervalTree empty()

    - #### build

          public static SSTableIntervalTree build(java.lang.Iterable<SSTableReader> sstables)

    - #### buildIntervals

          public static java.util.List<Interval<PartitionPosition,SSTableReader>> buildIntervals(java.lang.Iterable<SSTableReader> sstables)

Copyright © 2018 The Apache Software Foundation